<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$sql = "SELECT aca_detalles_faltas.desc_falta as descrip, aca_detalles_faltas.cod_falta as cd_falt, aca_detalles_faltas.ide_tipo_falta as cd_tip FROM aca_detalles_faltas INNER JOIN aux_tipos_faltas ON (aca_detalles_faltas.ide_tipo_falta = aux_tipos_faltas.ide_tipo_falta)";

$academia->instruccion($sql);
$i=0;
$responce = array();
while($row = $academia->extraer_registro()) {
	$responce[]=$row;
} 
header("Content-type: application/json");
echo json_encode($responce);
		
$academia->cerrar();

?>
        